/**
	\file "sim/sim.h"
	$Id: sim.h,v 1.2 2006/02/08 03:48:29 fang Exp $
 */
#ifndef	__SIM_SIM_H__
#define	__SIM_SIM_H__

#include "utils/hash.h"

extern	char	*SimGetNodeCommand(char*);
extern	char	*SimGetNodeName();
extern	char	*SimSelectNode();
extern	bool	SimGetReplyLine(char**);
extern	bool	SimStartRsim(char*[]);
extern	void	SimConnectRsim(bool);
extern	bool	SimSelection(char*);

extern	void	SimRsimIt(char*, char*);
extern	bool	efPreferredName();
extern  void	SimRsimHandler();
extern  void	SimInit(void);
extern	void	SimEraseLabels(void);

extern  bool	SimRecomputeSel;
extern 	bool	SimInitGetnode;
extern	bool	SimGetnodeAlias;
extern 	bool	SimSawAbortString;
extern 	bool	SimRsimRunning;
extern	bool	SimIsGetnode;
extern	bool	SimHasCoords;
extern	bool	SimUseCoords;

extern	void	SimGetsnode(void);
extern	void	SimGetnode(void);

extern HashTable SimNodeNameTbl;
extern HashTable SimGNAliasTbl;
extern HashTable SimGetnodeTbl;
extern HashTable SimAbortSeenTbl;

#endif	/* __SIM_SIM_H__ */
